Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 318975 - =x11-libs/qt-{core,script}-4.6* fails on ALPHA
Summary: =x11-libs/qt-{core,script}-4.6* fails on ALPHA
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: Alpha Linux
: High normal (vote)
Assignee: Qt Bug Alias
URL: http://bugreports.qt.nokia.com/browse...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-08 15:09 UTC by Raúl Porcel (RETIRED)
Modified: 2010-05-22 09:32 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
qtscript.patch (qtscript.patch,1.20 KB, patch)
2010-05-08 15:11 UTC, Raúl Porcel (RETIRED)
Details | Diff
qtcore.patch (qtcore.patch,2.46 KB, patch)
2010-05-08 15:12 UTC, Raúl Porcel (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raúl Porcel (RETIRED) gentoo-dev 2010-05-08 15:09:38 UTC
Hi,

qt-4.6 and above will fail to build on ALPHA as per $URL.

I'll attach the patches to fix it. Could you guys help me to fix it upstream? I don't have the time to battle with doing merge requests...

Thanks
Comment 1 Raúl Porcel (RETIRED) gentoo-dev 2010-05-08 15:11:44 UTC
Created attachment 230805 [details, diff]
qtscript.patch

This one goes to qt-script
Comment 2 Raúl Porcel (RETIRED) gentoo-dev 2010-05-08 15:12:08 UTC
Created attachment 230807 [details, diff]
qtcore.patch

This one goes to qt-core
Comment 3 Davide Pesavento gentoo-dev 2010-05-08 15:34:53 UTC
(In reply to comment #1)
> Created an attachment (id=230805) [details]
> qtscript.patch
> 
> This one goes to qt-script
> 

This patch is for JavaScriptCore, which is used by qt-webkit too. It should be applied to both qt-script and qt-webkit ebuilds.

BTW, it's already fixed in WebKit trunk:
http://trac.webkit.org/browser/trunk/JavaScriptCore/wtf/Platform.h#L894
Comment 4 Matt Turner gentoo-dev 2010-05-08 15:37:06 UTC
At first glance, your patches look correct. :)

After I review them more, I'll see if I can figure out how they do merge requests and get them moved upstream for you.
Comment 5 Markos Chandras (RETIRED) gentoo-dev 2010-05-08 16:34:11 UTC
Why did they close the damn bug since they haven't fixed it?  We need to poke upstream to accept the patches if they actually work. I might do it next week but I cant promise that 
Comment 6 Raúl Porcel (RETIRED) gentoo-dev 2010-05-08 16:55:35 UTC
(In reply to comment #3)
> 
> This patch is for JavaScriptCore, which is used by qt-webkit too. It should be
> applied to both qt-script and qt-webkit ebuilds.
> 

I can say that qt-webkit didn't fail to build. And the browser demo works fine too.

> BTW, it's already fixed in WebKit trunk:
> http://trac.webkit.org/browser/trunk/JavaScriptCore/wtf/Platform.h#L894
> 

Nice find, thanks.

(In reply to comment #5)
> Why did they close the damn bug since they haven't fixed it?  We need to poke
> upstream to accept the patches if they actually work. I might do it next week
> but I cant promise that 
> 

If you look at the comments they say they don't have any alpha machine. IOW, they don't care.

Thanks
Comment 7 Markos Chandras (RETIRED) gentoo-dev 2010-05-17 14:01:30 UTC
<offtopic>FYI, the javascriptcore code is required for future qt-webkit versions in order to build them. </offtopic>

@Alpha. Please proceed as you wish. If you think the patches are good to go I don't mind if you apply them your self
Comment 8 Raúl Porcel (RETIRED) gentoo-dev 2010-05-22 09:02:22 UTC
The debian maintainer did a merge request:
http://qt.gitorious.org/qt/qt/merge_requests/640
Comment 9 Raúl Porcel (RETIRED) gentoo-dev 2010-05-22 09:32:13 UTC
Applied, thanks